Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StlMapIterator< KEY, VALUE > Struct Template Reference

`#include <StlIterator.h>`

Inherits tlp::Iterator< std::pair< KEY, VALUE > >.

Inheritance diagram for tlp::StlMapIterator< KEY, VALUE >:

[legend]
Collaboration diagram for tlp::StlMapIterator< KEY, VALUE >:

[legend]
List of all members.

### template<typename KEY, typename VALUE>
struct tlp::StlMapIterator< KEY, VALUE >

## Public Member Functions

- StlMapIterator (typename std::map< KEY, VALUE >::const_iterator startIt, typename std::map< KEY, VALUE >::const_iterator endIt)
- std::pair< KEY, VALUE > next ()
    StlMapIterator implemetation.
- bool hasNext ()
    Return true if it exist a next element.

## Constructor & Destructor Documentation

template<typename KEY, typename VALUE>
tlp::StlMapIterator< KEY, VALUE >::StlMapIterator | ( | typename std::map< KEY, VALUE >::const_iterator | startIt,
|  | typename std::map< KEY, VALUE >::const_iterator | endIt
| ) | `[inline]`

## Member Function Documentation

template<typename KEY, typename VALUE>
bool tlp::StlMapIterator< KEY, VALUE >::hasNext | ( |  | ) | `[virtual]`

| Return true if it exist a next element. Implements tlp::Iterator< std::pair< KEY, VALUE > >.

template<typename KEY, typename VALUE>
std::pair< KEY, VALUE > tlp::StlMapIterator< KEY, VALUE >::next | ( |  | ) | `[virtual]`

| StlMapIterator implemetation. Implements tlp::Iterator< std::pair< KEY, VALUE > >.

Tulip Software by LaBRI Visualization Team 2001 - 2010